### Method

# Gtk.TreeView.is_blank_at_pos

#### Declaration [src]

    gboolean
    gtk_tree_view_is_blank_at_pos (
      GtkTreeView* tree_view,
      int x,
      int y,
      GtkTreePath** path,
      GtkTreeViewColumn** column,
      int* cell_x,
      int* cell_y
    )

#### Description [src]

Determine whether the point (`x`, `y`) in `tree_view` is blank, that is no cell content nor an expander arrow is drawn at the location. If so, the location can be considered as the background. You might wish to take special action on clicks on the background, such as clearing a current selection, having a custom context menu or starting rubber banding.

The `x` and `y` coordinate that are provided must be relative to bin_window coordinates. Widget-relative coordinates must be converted using `gtk_tree_view_convert_widget_to_bin_window_coords()`.

For converting widget coordinates (eg. the ones you get from GtkWidget::query-tooltip), please see `gtk_tree_view_convert_widget_to_bin_window_coords()`.

The `path`, `column`, `cell_x` and `cell_y` arguments will be filled in likewise as for `gtk_tree_view_get_path_at_pos()`. Please see `gtk_tree_view_get_path_at_pos()` for more information.

#### Parameters

`x` | `int`
| The x position to be identified (relative to bin_window)
`y` | `int`
| The y position to be identified (relative to bin_window)
`path` | `GtkTreePath`
| A pointer to a `GtkTreePath` pointer to be filled in, or `NULL`
| Direction: out
| Ownership of the data is transferred to the callee
`column` | `GtkTreeViewColumn`
| A pointer to a `GtkTreeViewColumn` pointer to be filled in, or `NULL`
| Direction: out
| Ownership is not transferred to the callee
`cell_x` | `int*`
| A pointer where the X coordinate relative to the cell can be placed, or `NULL`
| Direction: out
| Ownership of the data is transferred to the callee
`cell_y` | `int*`
| A pointer where the Y coordinate relative to the cell can be placed, or `NULL`
| Direction: out
| Ownership of the data is transferred to the callee

#### Return value

Returns: `gboolean`
`TRUE` if the area at the given coordinates is blank, `FALSE` otherwise.